textures/missiontwo/edge
{
	qer_editorimage textures/missiontwo/edge.tga
	qer_alphaFunc GE128 0.5
	cull none
	q3map_tessSize 32
	deformVertexes bulge 4 4 2
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		depthWrite
		alphaFunc GE128
		map textures/missiontwo/edge.tga
		blendfunc GL_ONE GL_ZERO
	}
	{
		depthFunc equal
		map $lightmap
		blendfunc filter
	}
}

textures/missiontwo/129nolightmap
{
	qer_editorimage	textures/missiontwo/129.jpg
	surfaceparm nolightmap
	{
		map textures/missiontwo/129.jpg
	}
}



textures/missiontwo/93_water
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/missiontwo/93
	{
		map textures/missiontwo/water1.tga
		tcmod scale -.25 -.25
		tcmod scroll .04 .06
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/missiontwo/water1.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .05 .05
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/missiontwo/93.jpg
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/missiontwo/flamesadd
{
	qer_editorimage	textures/ut_egypt/wood1toplit.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformvertexes autosprite


	{
		animMap 10 textures/flamer_ye/flame1.tga textures/flamer_ye/flame2.tga textures/flamer_ye/flame3.tga textures/flamer_ye/flame4.tga textures/flamer_ye/flame5.tga textures/flamer_ye/flame6.tga textures/flamer_ye/flame7.tga textures/flamer_ye/flame8.tga
		blendFunc add
	}

}
textures/missiontwo/wateroutside
{
        qer_editorimage textures/missiontwo/water1b.jpg
        qer_trans .5
surfaceparm lightfilter

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

        cull disable
        deformVertexes wave 90 sin 5 4 3 .5
        {
                map textures/missiontwo/water1b.jpg
                blendFunc GL_DST_COLOR GL_ONE
                rgbgen identity
                tcmod scale .5 .5
		        tcmod scroll .03 0.03
        }

}

textures/missiontwo/water
{
        qer_editorimage textures/missiontwo/water.jpg
        qer_trans .5
        q3map_lightimage textures/missiontwo/watersd.jpg
        q3map_globaltexture

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

        cull disable
        deformVertexes wave 90 sin 5 4 3 .5
        {
                map textures/missiontwo/water.jpg
                blendFunc GL_DST_COLOR GL_ONE
                rgbgen identity
                tcmod scale .5 .5
		        tcmod scroll .03 0.03
        }
        {
                map textures/missiontwo/water.jpg
                blendFunc GL_DST_COLOR GL_ONE
                tcmod scale -.5 -.5
                tcmod scroll .02 .02
        }

}

textures/missiontwo/bpro_fenster
{
     qer_editorimage textures/missiontwo/bpro.jpg
     {
          map textures/missiontwo/76.jpg 
     }
}

textures/missiontwo/brickreflect
{
	qer_editorimage textures/missiontwo/96.jpg
    {
		map textures/missiontwo/water.jpg
		blendfunc add
		tcMod scale 0.7 0.2
		tcMod scroll 0.02 0.02
	}
	{
		map textures/missiontwo/96.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}



textures/missiontwo/vines
{
    surfaceparm trans
    surfaceparm alphashadow
	cull disable
        {
                map textures/missiontwo/vines.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/missiontwo/lightningsep
{
qer_editorimage textures/skies_sd/ydnar_lightning2b.tga
	{
		map textures/skies_sd/ydnar_lightningb.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 2 0.03

	}
}

textures/missiontwo/lightningsep2
{
qer_editorimage textures/skies_sd/ydnar_lightningb.tga
	{
		map textures/skies_sd/ydnar_lightning2b.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 2 0.02

	}
}

textures/missiontwo/horizont
{
	surfaceparm nolightmap
	{
		map textures/missiontwo/horizont.tga
		alphaFunc GE128
	}
}

textures/missiontwo/trimconc_edgeinfo
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/trimconc_edgeinfo.jpg
		blendfunc filter
	}

}

textures/missiontwo/93blue
{
q3map_lightmapSize 512 512
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/93blue.jpg
		blendfunc filter
	}

}

textures/missiontwo/93red
{
q3map_lightmapSize 512 512
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/93red.jpg
		blendfunc filter
	}

}

textures/missiontwo/93
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/93.jpg
		blendfunc filter
	}

}

textures/missiontwo/96
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/96.jpg
		blendfunc filter
	}

}

textures/dbstudio_plants/bush_lg
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/dbstudio_plants/bush_lg
		blendfunc filter
	}

}

textures/missiontwo/93
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/93.jpg
		blendfunc filter
	}

}


textures/missiontwo/xrain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5

        deformVertexes move 3 1 0  sin 0 5 0 0.02
        deformVertexes move .6 3.3 0  sin 0 5 0 0.04
        deformVertexes wave 30 sin 0 10 0 .02
	cull none
        //nopicmip
       
	{
		map textures/missiontwo/xrain.tga
                tcMod Scroll .05 -0.8
                tcMod turb .01 .025 0 -.01
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/missiontwo/xrain.tga
                tcMod Scroll .001 -0.63
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/missiontwo/flare
{
	qer_editorimage textures/missiontwo/flare.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/missiontwo/flare.jpg
		blendfunc add
	}
}



textures/missiontwo/baseconc1
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/baseconc1.jpg
		blendfunc filter
	}

}

textures/missiontwo/baseconc2
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/baseconc2.jpg
		blendfunc filter
	}

}

textures/missiontwo/trimconc1
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/trimconc1.jpg
		blendfunc filter
	}

}

textures/missiontwo/trimconc2
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/trimconc2.jpg
		blendfunc filter
	}

}

textures/missiontwo/tiles1
{
q3map_lightmapSize 1024 1024
q3map_lightmapBrightness 2.0
	{
tcgen lightmap
map $lightmap
rgbGen identity
	}
	{
		map textures/missiontwo/tiles1.jpg
		blendfunc filter
	}

}




textures/dbstudio_plants/a_leaf
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/a_leaf.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/a_leaf2
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/a_leaf2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/a_leafdark
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/a_leafdark.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/deadleaves
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/deadleaves.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/palmfrond3
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/palmfrond3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/palmfrond3b
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/palmfrond3b.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/palm2a
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/palm2a.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/rare_cycad
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/rare_cycad.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dbstudio_plants/a_redflower
{
	surfaceparm nosteps
	cull disable
	{
		map textures/dbstudio_plants/a_redflower.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}



models/mapobjects/kt_moai/moai
{
	qer_editorimage models/mapobjects/kt_moai/stone_granate2.tga
	q3map_forceMeta
	q3map_shadeAngle 89	// or 70
	q3map_nonPlanar
	q3map_clipModel
//	surfaceparm gravelsteps
	{
		map models/mapobjects/kt_moai/stone_granate2.tga
		rgbGen vertex
	}
}

models\mapobjects\kt_barge\nomark
{
	qer_editorimage models\mapobjects\kt_barge\kt_barge_nomark.tga
	q3map_forcemeta
	q3map_nonplanar
//	q3map_shadeangle 79		//OPTIONAL
//	q3map_clipmodel			//OPTIONAL
		{
			map $lightmap
			rgbGen identity
		}
		{
			map models\mapobjects\kt_barge\kt_barge_nomark.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
}

//barge with white markings
models\mapobjects\kt_barge\white
{
	qer_editorimage models\mapobjects\kt_barge\kt_barge_white.tga
	q3map_forcemeta
	q3map_nonplanar
//	q3map_shadeangle 79		//OPTIONAL
//	q3map_clipmodel			//OPTIONAL
		{
			map $lightmap
			rgbGen identity
		}
		{
			map models\mapobjects\kt_barge\kt_barge_white.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
}

//barge with no marking and coloured German grey
models\mapobjects\kt_barge\grey
{
	qer_editorimage models\mapobjects\kt_barge\kt_barge_grey.tga
	q3map_forcemeta
	q3map_nonplanar
//	q3map_shadeangle 79		//OPTIONAL
//	q3map_clipmodel			//OPTIONAL
		{
			map $lightmap
			rgbGen identity
		}
		{
			map models\mapobjects\kt_barge\kt_barge_grey.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
}

//barge with European cammoflage
models\mapobjects\kt_barge\cammo
{
	qer_editorimage models\mapobjects\kt_barge\kt_barge_cammo.tga
	q3map_forcemeta
	q3map_nonplanar
//	q3map_shadeangle 79		//OPTIONAL
//	q3map_clipmodel			//OPTIONAL
		{
			map $lightmap
			rgbGen identity
		}
		{
			map models\mapobjects\kt_barge\kt_barge_cammo.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
}

//dockside bollard and bumper
models\mapobjects\kt_barge\bollard
{
	qer_editorimage models\mapobjects\kt_barge\bollard.tga
	q3map_forcemeta
	q3map_nonplanar
//	q3map_shadeangle 79		//OPTIONAL
//	q3map_clipmodel			//OPTIONAL
		{
			map $lightmap
			rgbGen identity
		}
		{
			map models\mapobjects\kt_barge\bollard.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
		}
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/natestah/leaf2
{
	surfaceparm alphashadow
	cull disable
	{
		map textures/natestah/leaf2.tga
		rgbGen Vertex 
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/natestah/nateswater
{
	qer_editorimage textures/natestah/nateswater.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/natestah/nateswater.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}



models/mapobjects/multiplant/fern
{
	qer_editorImage models/mapobjects/multiplant/fern.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/fern.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/bannanaleaf
{	
	qer_editorImage models/mapobjects/multiplant/bannanaleaf.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/bannanaleaf.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/batleaf
{
	qer_editorImage models/mapobjects/multiplant/batleaf.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/batleaf.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/batleaf2
{
	qer_editorImage models/mapobjects/multiplant/batleaf2.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none
	deformVertexes wave 100 sin 3 5 0.1 0.1

	{
		map models/mapobjects/multiplant/batleaf2.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
	{
		map models/mapobjects/multiplant/batleaf2veins.tga
		blendFunc blend
		rgbGen wave sin 0 1 0 .33
		depthFunc equal
	}
}


models/mapobjects/multiplant/leaf1
{
	qer_editorImage models/mapobjects/multiplant/leaf1.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/leaf1.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/leaf2
{
	qer_editorImage models/mapobjects/multiplant/leaf2.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/leaf2.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/leaf3
{
	qer_editorImage models/mapobjects/multiplant/leaf3.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/leaf3.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/pleaf1
{
	qer_editorImage models/mapobjects/multiplant/pleaf1.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/pleaf1.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/pleaf2
{
	qer_editorImage models/mapobjects/multiplant/pleaf2.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/pleaf2.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/pleaf3
{
	qer_editorImage models/mapobjects/multiplant/pleaf3.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/pleaf3.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/multiplant/palmfrond
{
	qer_editorImage models/mapobjects/multiplant/palmfrond.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/palmfrond.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


// Note: no longer uses invisible.tga, replaced with nodraw
models/mapobjects/multiplant/invisible
{
	qer_editorImage textures/common/nodraw.tga

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid	//Forces nonsolid even on autoclipped models
	surfaceparm trans
	surfaceparm nomarks
}





models/mapobjects/palm2/trunk
{
	qer_editorImage models/mapobjects/palm2/trunk.tga

	surfaceparm pointlight

	{
		map models/mapobjects/palm2/trunk.tga
		rgbGen vertex
	}
}


models/mapobjects/palm1/palm1
{
	qer_editorImage models/mapobjects/palm1/palm1.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	deformVertexes autosprite2
	cull none

	{
		map models/mapobjects/palm1/palm1.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/palm3/palmtop
{
	qer_editorImage models/mapobjects/palm3/palmtop.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	deformVertexes autosprite
	cull none

	{
		map models/mapobjects/palm3/palmtop.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

textures/natestah/nateweb
{
	qer_editorimage textures/natestah/nateweb.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	{
		map textures/natestah/nateweb.tga
		blendfunc add
		rgbgen identity
	}
}


textures/missiontwo/lava01b
{
	surfaceparm nomarks
	surfaceparm dust
	surfaceparm lava
	q3map_surfacelight 200
	q3map_lightRGB		255 0 0
	q3map_lightimage textures/missiontwo/lava01.blend.tga
	qer_editorimage textures/missiontwo/lava01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/missiontwo/lava01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/missiontwo/lava01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/missiontwo/mist2
{
	entityMergable
	cull none
	{
		map textures/missiontwo/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/missiontwo/smoke_01
{
    qer_editorimage textures/missiontwo/smoke_01.png
	{
		map textures/missiontwo/smoke_01.png
		blendfunc add
		rgbGen vertex
		alphaGen vertex
	}
}




textures/missiontwo/63A
{
	qer_editorimage	textures/missiontwo/63.png
	surfaceparm ladder
	surfaceparm playerclip
	{
		map $lightmap
		rgbGen identity
	}
	{
map textures/missiontwo/63.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
textures/missiontwo/102A
{
	qer_editorimage	textures/missiontwo/102.png
	surfaceparm ladder
	surfaceparm playerclip
	{
		map $lightmap
		rgbGen identity
	}
	{
map textures/missiontwo/102.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
textures/missiontwo/120A
{
	qer_editorimage	textures/missiontwo/120.png
	surfaceparm ladder
	surfaceparm playerclip
	{
		map $lightmap
		rgbGen identity
	}
	{
map textures/missiontwo/120.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}



}
textures/missiontwo/133A
{
	qer_editorimage	textures/missiontwo/133.png
	surfaceparm ladder
	surfaceparm playerclip

	{
		map $lightmap
		rgbGen identity
	}
	{
map textures/missiontwo/133.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/missiontwo/77A
{
	qer_editorimage	textures/missiontwo/77.png
surfaceparm nodamage
	surfaceparm playerclip

	{
		map $lightmap
		rgbGen identity
	}
	{
map textures/missiontwo/77.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/missiontwo/sky
{
	qer_editorimage	textures/missiontwo/sky.jpg
	//red green blue intensity degrees elevation
	q3map_sunExt 0.99 0.98 0.53 70 325 50
	q3map_skyLight 5 5
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	surfaceparm nobuild

	skyparms env/missiontwo/missiontwo 1024 1024

}





// ======================================================================
// Grass
// ======================================================================
textures/missiontwo/grass
{
	q3map_backShader textures/missiontwo/grass_back
	q3map_vertexScale 2

	// Nah, no bouncing of light, take years to compile and you don't really
    // see a difference ...
	q3map_bounce 0

	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.7

    // Ok, THIS really kills every cpu... But it looks so damn good :)
    deformVertexes wave 30 sin 0 3 0 .2

	{
		map textures/missiontwo/grass.tga
		rgbGen vertex
		//depthWrite
		alphaFunc GE128
		blendFunc blend

	}
}


textures/missiontwo/sun
{
	qer_editorimage textures/missiontwo/sun.tga
	deformVertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/missiontwo/sun.tga

		//depthWrite
		alphaFunc GE128
		blendFunc blend
	}	
		{
//		animmap 20 textures/missiontwo/sunb.jpg textures/missiontwo/sunc.jpg
map textures/missiontwo/sunb.jpg
rgbGen wave Triangle .5 .5 0 0.1
	blendfunc add

	}
}






textures/missiontwo/cloud1
{
	qer_editorimage textures/missiontwo/cloud1.tga
	deformVertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/missiontwo/cloud1.tga

		//depthWrite
		alphaFunc GE128
		blendFunc blend

	}	
}



textures/missiontwo/grass_back
{
	qer_editorimage textures/missiontwo/grass.tga
	q3map_vertexScale 2
	q3map_bounce 0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	{
		map textures/missiontwo/grass.tga
		rgbGen vertex
		//depthWrite
		alphaFunc GE128
		blendFunc blend

	}	
}

textures/missiontwo/skybox/skydark
{
	skyparms textures/missiontwo/skybox/bluecloud 1024 -
//	q3map_sunExt 255 250 230 20	40 40 0.3 16
//	q3map_bounceScale 4.0
//	q3map_lightmapFilterRadius 0 4
//	q3map_skyLight 50 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	nopicmip
	nomipmaps
	{
		map textures/skies_sd/ydnar_lightning2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 2 0.04
		tcMod scale 1 1
//		tcMod scroll 0.003 -0.0015
	}

	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.05
		tcMod scale 1 1
//		tcMod scroll 0.003 -0.0015
	}
	

}

textures/missiontwo/skybox/sky
{
	skyparms textures/missiontwo/skybox/bluecloud 1024 -
	q3map_sunExt 255 250 230 40	60 60 0.5 32
	q3map_bounceScale 4.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	nopicmip
	nomipmaps
	{
		map textures/skies_sd/ydnar_lightning2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 2 0.04
		tcMod scale 1 1
//		tcMod scroll 0.003 -0.0015
	}

	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.05
		tcMod scale 1 1
//		tcMod scroll 0.003 -0.0015
	}
	

}

textures/missiontwo/solidslick
{
	qer_editorimage textures/missiontwo/solidslick.jpg
	qer_nocarve
	qer_trans 0.50
	
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
}

textures/missiontwo/cushion
{
	qer_editorimage textures/missiontwo/cushion.jpg
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/missiontwo/pipe
{
	{
		map textures/missiontwo/blue.tga
	}
	{
		map textures/missiontwo/pipe.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}

textures/missiontwo/pipeslick
{
	surfaceparm slick
	{
		map textures/missiontwo/blue.tga
	}
	{
		map textures/missiontwo/pipe.jpg      
		tcGen environment
		blendfunc add
	}
	{
        map $lightmap
        rgbGen identity
		tcgen lightmap
		blendfunc filter
	}
}

///glass///

//red dotted glass//
textures/missiontwo/scratchglass
{
	qer_editorimage textures/missiontwo/glasslightdot.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslightdot.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//clear glass//
textures/missiontwo/scratchglassclean
{
	qer_editorimage textures/missiontwo/glasslight.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslight.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//safety stripes glass top//
textures/missiontwo/stripeoverlaytop
{
	qer_editorimage textures/missiontwo/stripeoverlaytop.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/missiontwo/stripeoverlaytop.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


//safety stripes glass middle//
textures/missiontwo/stripeoverlaymiddle

{
	qer_editorimage textures/missiontwo/stripeoverlaymiddle.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/missiontwo/stripeoverlaymiddle.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//safety stripes glass bottom//
textures/missiontwo/stripeoverlaybottom

{
	qer_editorimage textures/missiontwo/stripeoverlaybottom.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslight.jpg
		blendfunc filter
	}
	{
		map textures/missiontwo/stripeoverlaybottom.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//clear and slick glass//
textures/missiontwo/scratchglassslick
{
	qer_editorimage textures/missiontwo/glasslightslick.jpg
	surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm lightfilter
	
	q3map_lightmapFilterRadius 0 16
	{
		map textures/missiontwo/glasslight.jpg
		blendfunc filter
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//alpha test textures//

textures/missiontwo/nets
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/missiontwo/nets.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/missiontwo/net
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/missiontwo/net.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/missiontwo/grates
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	{
		map textures/missiontwo/grates.tga
		alphaFunc GE128
		blendFunc blend
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/mission_one/voda
{
  //surfaceparm trans
  //surfaceparm nonsolid
  surfaceparm water
  surfaceparm nolightmap
  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/mission_one/voda.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }
  {
    map textures/mission_one/voda.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }
}

textures/mission_one/pain
	{
        qer_editorimage textures/atcs/force_field_gtk.tga
	surfaceparm nolightmap
	{
		map textures/atcs/force_field.tga
		tcMod Scroll .1 0
	}
	{
		map textures/atcs/force_grid.tga
		tcMod Scroll -.01 0
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/mission_one/zed
{
	qer_editorimage textures/mission_one/zed.jpg
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable

  {
    map textures/mission_one/zed.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcMod Scroll 0 .1
  }
}

textures/mission_one/pruchozi
{
qer_editorimage textures/transit/evil3_floors_grt_offmtl.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull disable
{
map textures/transit/evil3_floors_grt_offmtl.tga
depthWrite
}

}


textures/mission_one/ladder
{
	qer_trans .75
	qer_editorimage textures/common/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
